Debian Bug report logs - #647481
[PATCH] please transaction gstreamer0.10 to multiarch

version graph

Package: gstreamer0.10; Maintainer for gstreamer0.10 is Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>;

Reported by: YunQiang Su <wzssyqa@gmail.com>

Date: Thu, 3 Nov 2011 07:09:02 UTC

Severity: normal

Found in version 0.10.35-1

Fixed in version gstreamer0.10/0.10.35.2-1

Done: Sebastian Dröge <slomo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#647481; Package gstreamer0.10. (Thu, 03 Nov 2011 07:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
New Bug report received and forwarded. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Thu, 03 Nov 2011 07:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: YunQiang Su <wzssyqa@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PATCH] please transaction gstreamer0.10 to multiarch
Date: Thu, 3 Nov 2011 15:07:16 +0800
[Message part 1 (text/plain, inline)]
Package: gstreamer0.10
Version: 0.10.35-1

I multiarch it and test it on Ubuntu 11.10, it works well.
And another several package also multiarched.
And I will file bugs for them.

-- 
YunQiang Su
[multiarch.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#647481; Package gstreamer0.10. (Sat, 12 Nov 2011 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher James Halse Rogers <raof@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Sat, 12 Nov 2011 01:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 647481@bugs.debian.org (full text, mbox):

From: Christopher James Halse Rogers <raof@ubuntu.com>
To: 647481@bugs.debian.org
Subject: Extent of testing
Date: Sat, 12 Nov 2011 12:55:06 +1100
You say you've tested this on Ubuntu - to what extent have you tested?
 This looks like it will break everything depending on
libgstreamer0.10-0 because it won't be able to find the plugins until
they're updated to install in the multiarch paths.  If so, then (a)
patches should be posted for the plugin packages (you may have already
done this; I haven't checked), and (b) this package should declare a
Breaks: on the plugin packages with versions less than the version in
which they're multiarched.




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#647481; Package gstreamer0.10. (Tue, 29 Nov 2011 09:27:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Tue, 29 Nov 2011 09:27:27 GMT) Full text and rfc822 format available.

Message #15 received at 647481@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 647481@bugs.debian.org
Cc: YunQiang Su <wzssyqa@gmail.com>, Christopher James Halse Rogers <raof@ubuntu.com>
Subject: [PATCH] please transaction gstreamer0.10 to multiarch
Date: Tue, 29 Nov 2011 11:24:22 +0200
Raof said:
> You say you've tested this on Ubuntu - to what extent have you tested?
> This looks like it will break everything depending on
> libgstreamer0.10-0 because it won't be able to find the plugins until
> they're updated to install in the multiarch paths.  If so, then (a)
> patches should be posted for the plugin packages (you may have already
> done this; I haven't checked), and (b) this package should declare a
> Breaks: on the plugin packages with versions less than the version in
> which they're multiarched.

The (a) part appears to be done:

#647485 [n|  |  ] [gst-plugins-base0.10] [PATCH] please transaction gst-plugins-base0.10 to multiarch
#647486 [n|  |  ] [gst-plugins-good0.10] [PATCH] please transaction gst-plugins-good0.10 to multiarch
#647487 [n|  |  ] [gst-plugins-bad0.10] [PATCH] please transaction gst-plugins-bad0.10 to multiarch
#647488 [n|  |  ] [gst-plugins-ugly0.10] [PATCH] please transaction gst-plugins-ugly0.10 to multiarch
#647490 [n|  |  ] [gstreamer0.10-ffmpeg] [PATCH] please transaction gstreamer0.10-ffmpeg to multiarch

Fixing (b) is trivial, I can provide an updated patch if you want. Since we are
moving the .la files anyways, perhaps it would be a good moment to remove them completly,
closing #633319 at the same time?

Riku





Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#647481; Package gstreamer0.10. (Fri, 09 Dec 2011 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Fri, 09 Dec 2011 16:45:04 GMT) Full text and rfc822 format available.

Message #20 received at 647481@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <647481@bugs.debian.org>
Subject: Re: [PATCH] please transaction gstreamer0.10 to multiarch
Date: Fri, 09 Dec 2011 08:42:59 -0800
[Message part 1 (text/plain, inline)]
Package: gstreamer0.10
Version: 0.10.35-1
Followup-For: Bug #647481
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi guys,

In Ubuntu, the attached patch was applied to make gstreamer compatible with
multiarch, as described at
<http://wiki.debian.org/Multiarch/Implementation>.

gstreamer is one of the last major bits needed to have a multiarch-friendly
wine package in Ubuntu; I presume it will be useful to Debian for the same
reason.  Following this upload, I will be converting the various gstreamer
plugin packages over to use the multiarch path as well, with a hard-coded
versioned dependency on libgstreamer0.10-0 (>= 0.10.35-1ubuntu1) to ensure
that these plugins are always installed against a version of libgst that
knows to look in that directory.  I don't see a good way to forcibly bump
the dependency for plugins without also bumping it for applications since
libgst is using shlibs (no symbols files), but I'm open to working with you
to find a more automated solution for dependency generation if you think
that's important here.

This adds a new patch to the upstream source to look in the multiarch
library path with a fallback to the legacy /usr/lib/gstreamer-0.10 path;
this way we don't have to declare breaks: against an arbitrary set of
packages using the legacy path.  I also have modified the ia32-libs hack
d dpatch to regard /usr/lib32 as only a fallback equivalent to /usr/lib - so
plugins in the multiarch directory will always take precedence, which I
believe is the optimal behavior.  I have tested that totem is able to load
plugins from both directories with this change applied.

The changelog for the Ubuntu upload is:

  * Build for multiarch. 
  * debian/patches/79_multiarch-backwards-compat.patch,
    debian/patches/80_ia32-hack.patch: PLUGINDIR now always points to the
    multiarch path, so look in /usr/lib/gstreamer-0.10 as a fallback (and
    /usr/lib32/gstreamer-0.10, in case ia32-libs is still around).

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[gstreamer0.10_0.10.35-1ubuntu1.debdiff (text/x-diff, attachment)]

Reply sent to Sebastian Dröge <slomo@debian.org>:
You have taken responsibility. (Sun, 11 Dec 2011 18:21:20 GMT) Full text and rfc822 format available.

Notification sent to YunQiang Su <wzssyqa@gmail.com>:
Bug acknowledged by developer. (Sun, 11 Dec 2011 18:21:20 GMT) Full text and rfc822 format available.

Message #25 received at 647481-close@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@debian.org>
To: 647481-close@bugs.debian.org
Subject: Bug#647481: fixed in gstreamer0.10 0.10.35.2-1
Date: Sun, 11 Dec 2011 18:18:31 +0000
Source: gstreamer0.10
Source-Version: 0.10.35.2-1

We believe that the bug you reported is fixed in the latest version of
gstreamer0.10, which is due to be installed in the Debian FTP archive:

gir1.2-gstreamer-0.10_0.10.35.2-1_amd64.deb
  to main/g/gstreamer0.10/gir1.2-gstreamer-0.10_0.10.35.2-1_amd64.deb
gstreamer-tools_0.10.35.2-1_amd64.deb
  to main/g/gstreamer0.10/gstreamer-tools_0.10.35.2-1_amd64.deb
gstreamer0.10-doc_0.10.35.2-1_all.deb
  to main/g/gstreamer0.10/gstreamer0.10-doc_0.10.35.2-1_all.deb
gstreamer0.10-tools_0.10.35.2-1_amd64.deb
  to main/g/gstreamer0.10/gstreamer0.10-tools_0.10.35.2-1_amd64.deb
gstreamer0.10_0.10.35.2-1.debian.tar.gz
  to main/g/gstreamer0.10/gstreamer0.10_0.10.35.2-1.debian.tar.gz
gstreamer0.10_0.10.35.2-1.dsc
  to main/g/gstreamer0.10/gstreamer0.10_0.10.35.2-1.dsc
gstreamer0.10_0.10.35.2.orig.tar.bz2
  to main/g/gstreamer0.10/gstreamer0.10_0.10.35.2.orig.tar.bz2
libgstreamer0.10-0-dbg_0.10.35.2-1_amd64.deb
  to main/g/gstreamer0.10/libgstreamer0.10-0-dbg_0.10.35.2-1_amd64.deb
libgstreamer0.10-0_0.10.35.2-1_amd64.deb
  to main/g/gstreamer0.10/libgstreamer0.10-0_0.10.35.2-1_amd64.deb
libgstreamer0.10-dev_0.10.35.2-1_amd64.deb
  to main/g/gstreamer0.10/libgstreamer0.10-dev_0.10.35.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Dröge <slomo@debian.org> (supplier of updated gstreamer0.10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Dec 2011 18:52:12 +0100
Source: gstreamer0.10
Binary: libgstreamer0.10-0 libgstreamer0.10-0-dbg libgstreamer0.10-dev gstreamer0.10-doc gstreamer0.10-tools gstreamer-tools gir1.2-gstreamer-0.10
Architecture: source all amd64
Version: 0.10.35.2-1
Distribution: experimental
Urgency: low
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Changed-By: Sebastian Dröge <slomo@debian.org>
Description: 
 gir1.2-gstreamer-0.10 - Description: GObject introspection data for the GStreamer library
 gstreamer-tools - Tools for use with GStreamer
 gstreamer0.10-doc - GStreamer core documentation and manuals
 gstreamer0.10-tools - Tools for use with GStreamer
 libgstreamer0.10-0 - Core GStreamer libraries and elements
 libgstreamer0.10-0-dbg - Core GStreamer libraries and elements
 libgstreamer0.10-dev - GStreamer core development files
Closes: 633319 647481
Changes: 
 gstreamer0.10 (0.10.35.2-1) experimental; urgency=low
 .
   * New upstream pre-release:
     + debian/control.in:
       - Build-depend on GLib >= 2.24.
     + debian/patches/99_ltmain_as-needed.patch:
       - Refreshed to apply cleanly again.
     + debian/libgstreamer.symbols:
       - Update symbols file with new API.
   * debian/rules:
     + Remove all dependency_libs from the .la files (Closes: #633319).
   * debian/control.in:
     + Put GI package into section introspection.
   * debian/compat,
     debian/control.in,
     debian/gir1.2-gstreamer.install,
     debian/libgstreamer-dev.install,
     debian/libgstreamer.install,
     debian/patches/79_multiarch-backwards-compat.patch,
     debian/patches/80_ia32-hack.patch,
     debian/rules:
     + Transition package to multi-arch (Closes: #647481).
       Patch taken from the Ubuntu package.
Checksums-Sha1: 
 dba6f55cb539fbf55c2eaa021b568db861fe0a0e 2361 gstreamer0.10_0.10.35.2-1.dsc
 7a45780f3fafb3cdec4ff65fa3d86ffb3e90d8cf 3628886 gstreamer0.10_0.10.35.2.orig.tar.bz2
 50768dbc1cd6698181b6ef989ee2909fc01bb525 43257 gstreamer0.10_0.10.35.2-1.debian.tar.gz
 0ce9c82d4307013b8f76326bfaafb2a129cb2dde 4072546 gstreamer0.10-doc_0.10.35.2-1_all.deb
 197bd6b524cc2fa2c3e0560b83c547e9e31db3c2 1714994 libgstreamer0.10-0_0.10.35.2-1_amd64.deb
 0bb80aabc5acb09937c564b7a460624c5051b8b2 2347102 libgstreamer0.10-0-dbg_0.10.35.2-1_amd64.deb
 b7391edad036ffdcfee9c3c56ec02526e193ce78 1766642 libgstreamer0.10-dev_0.10.35.2-1_amd64.deb
 eed4733d807fbcd25830f0cf86674efda347c54e 660958 gstreamer0.10-tools_0.10.35.2-1_amd64.deb
 7bd95175046aaf78717ae1ffb675558f1e7e0d9e 604070 gstreamer-tools_0.10.35.2-1_amd64.deb
 51206e6bad59ea6e1da92dc07e54ab69bff46963 664898 gir1.2-gstreamer-0.10_0.10.35.2-1_amd64.deb
Checksums-Sha256: 
 ddc79168c25f5b90b40df841b7a6f6350469f6001a539e80a17919f880b6610b 2361 gstreamer0.10_0.10.35.2-1.dsc
 1c7651cc7e44ec6f4c6a5679ad02711d2c1304d8e095b4e0ea07de88ca367fa9 3628886 gstreamer0.10_0.10.35.2.orig.tar.bz2
 cd6e4656aea1c439d06f746b12bd11a7442ffa2f99e51509639e9e77f82aa58b 43257 gstreamer0.10_0.10.35.2-1.debian.tar.gz
 1ca8b63dde5cb7c395d0e8700a604519da6eb954e36ca1e2cbb492d96d66d602 4072546 gstreamer0.10-doc_0.10.35.2-1_all.deb
 7eed62668f3d60479ced2b154146efda01beae3aec7e55bb5236659a23f0a4dc 1714994 libgstreamer0.10-0_0.10.35.2-1_amd64.deb
 d1d99bb73da507dd9c11b85f3f30658465842507cd0ea8e6f8182f860ebfd1fb 2347102 libgstreamer0.10-0-dbg_0.10.35.2-1_amd64.deb
 cf43e8aae00d4b5f713fd8632a9aa6379018c1dbe5167199a3e658ce86453755 1766642 libgstreamer0.10-dev_0.10.35.2-1_amd64.deb
 c13dc049bc06fcce76ddf7cd8f291ad19280bd3f40f200f5c58613ab789b200e 660958 gstreamer0.10-tools_0.10.35.2-1_amd64.deb
 2a0b0e59f91aab8fb2fba3a1fe220346313de3392ae52a32c7dd2207ce2ffd37 604070 gstreamer-tools_0.10.35.2-1_amd64.deb
 df7bd45c499b0924822a862e6483c36c33db47360c9b9fbccf2f1a1437abfe73 664898 gir1.2-gstreamer-0.10_0.10.35.2-1_amd64.deb
Files: 
 3a5f6a84374948378775461c456aa511 2361 libs optional gstreamer0.10_0.10.35.2-1.dsc
 9750114f596d52c19dda444c84904d06 3628886 libs optional gstreamer0.10_0.10.35.2.orig.tar.bz2
 29bde1bb3af5dc787d924d58d4bd240d 43257 libs optional gstreamer0.10_0.10.35.2-1.debian.tar.gz
 bbeef9a77c576e4f1343c240692e2e7b 4072546 doc optional gstreamer0.10-doc_0.10.35.2-1_all.deb
 d0c755ffcb5b787cde320d2877a734e6 1714994 libs optional libgstreamer0.10-0_0.10.35.2-1_amd64.deb
 d318e59668c31fe680ef0b8ed6614c86 2347102 debug extra libgstreamer0.10-0-dbg_0.10.35.2-1_amd64.deb
 56ac9a6ffa40a6f18f8fceac3ef95543 1766642 libdevel optional libgstreamer0.10-dev_0.10.35.2-1_amd64.deb
 158d789e9a54ff57833b1e0bfd3cbae2 660958 utils optional gstreamer0.10-tools_0.10.35.2-1_amd64.deb
 13aaaacd1152fa6d7f932c147e215dfd 604070 utils optional gstreamer-tools_0.10.35.2-1_amd64.deb
 345c1fc797ffc0468f08a0b4da11ec43 664898 introspection optional gir1.2-gstreamer-0.10_0.10.35.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7k8boACgkQBsBdh1vkHyEixgCfSj0tWqLABuRsJs2pGvc1UnRK
KrgAn2bJfrE5SzSLQHtB2xoNg0dXmxP+
=FtwK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 Mar 2012 07:38:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:22:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.